Skip to main content

LiveKit CLI

Install the LiveKit CLI, set up your coding agent, and find the reference for every command.

Overview

The LiveKit CLI (lk) is the essential developer tool for building, testing, and deploying LiveKit agents. For an introduction to its workflows, see LiveKit CLI.

GitHub

GitHub repository

Source code and releases for the LiveKit CLI.

Command reference

PageCommands
Project managementlk cloud, lk project, lk app
Skills installationlk skills
Agent developmentlk agent init, dev, start, console
Agent testinglk agent debugger, simulate
Deploy agentslk agent create, deploy, promote, rollback, versions, delete, config, dockerfile
Manage deployed agentslk agent status, list, logs, restart, update, secrets, update-secrets
Private linkslk agent private-link
Rooms and participantslk room, lk token, lk dispatch
Egress and ingresslk egress, lk ingress
Telephonylk sip, lk number
Load testinglk perf
Docs searchlk docs

Run lk <command> --help for any command's options.

Setup

Install the CLI

Install the LiveKit CLI with Homebrew :

brew install livekit-cli
curl -sSL https://get.livekit.io/cli | bash
Tip

You can also download the latest precompiled binaries here .

winget install LiveKit.LiveKitCLI
Tip

You can also download the latest precompiled binaries here .

This repo uses Git LFS  for embedded video resources. Please ensure git-lfs is installed on your machine before proceeding.

git clone github.com/livekit/livekit-cli
make install

Update the CLI

Update the CLI regularly to get new features and fixes:

Update the LiveKit CLI with Homebrew :

brew update && brew upgrade livekit-cli
curl -sSL https://get.livekit.io/cli | bash
Tip

You can also download the latest precompiled binaries here .

winget upgrade LiveKit.LiveKitCLI
Tip

You can also download the latest precompiled binaries here .

This repo uses Git LFS  for embedded video resources. Please ensure git-lfs is installed on your machine before proceeding.

Before updating, make sure you've recently pulled the latest changes from main.

make install

Add a project

Link a LiveKit Cloud project, then follow the instructions in your browser:

lk cloud auth

To add a self-hosted server or another project, see Project management.

Create an agent

Scaffold an agent, talk to it locally, and deploy it to LiveKit Cloud:

lk agent init my-agent --template agent-starter-python
cd my-agent
lk agent console
lk agent create

lk agent init also offers to set up your coding agent in the new project. lk agent create registers the agent and deploys its first version. After that, run lk agent deploy to ship each new version.

Set up your coding agent

Install LiveKit's Agent Skills and the Docs MCP server into your coding agents. Run it in your project directory, or add --global to install for all projects. For options, see Skills installation.

lk skills install

App templates

The CLI creates apps from first-party templates, with your project credentials already configured. For agent templates, use lk agent init:

lk agent init my-agent --template agent-starter-python
# or: --template agent-starter-node

Omit --template to choose from a list. For frontends and other apps, use lk app create.

First-party templates:

Template NameLanguage/FrameworkDescription
agent-starter-python PythonA starter project for Python, featuring a simple voice agent implementation
agent-starter-react TypeScript/Next.jsA starter app for Next.js, featuring a flexible voice AI frontend
agent-starter-android Kotlin/AndroidA starter project for Android, featuring a flexible voice AI frontend
agent-starter-swift SwiftA starter project for Swift, featuring a flexible voice AI frontend
agent-starter-flutter FlutterA starter project for Flutter, featuring a flexible voice AI frontend
agent-starter-react-native React Native/ExpoA starter project for Expo, featuring a flexible voice AI frontend
agent-starter-embed TypeScript/Next.jsA starter project for a flexible voice AI that can be embedded in any website
token-server Node.js/TypeScriptA hosted token server to help you prototype your mobile applications faster
meet TypeScript/Next.jsAn open source video conferencing app built on LiveKit Components and Next.js
multi-agent-python PythonA team of writing coach agents demonstrating multi-agent workflows
outbound-caller-python PythonAn agent that makes outbound calls using LiveKit SIP
GitHub

LiveKit Template Index

Browse all available first-party templates.

Search the docs, fetch pages, and search SDK source code from your terminal, which also gives coding agents up-to-date LiveKit references:

lk docs search "voice agent quickstart"

Docs search reference

Full command reference for lk docs.